Page MenuHomePhabricator

zh-hk, zh-cn, ... should be changed to zh-hant-hk, zh-hans-cn, ...
Closed, ResolvedPublic

Description

Author: li3939108

Description:
zh-hk => zh-hant-hk, zh-tw => zh-hant-tw, zh-cn => zh-hans-cn, zh-mo => zh-hant-mo , zh-sg => zh-hans-sg, zh-my => zh-hans-my

That's what the 6 language tags precisely mean and actually how they are used (for instance, only Hong Kong Chinese in hant script will be store in zh-hk). In fact zh-hk, zh-tw, zh-cn, zh-mo, zh-sg, zh-my are very confusing for some Chinese and quite a few non-Chinese. These 6 language tags also complex the fallback rules(need another fallback table like zh-hk => zh-hant , zh-cn => zh-hans, zh-tw => zh-hant... ). And they are not assigned by IANA but zh-hant-hk, zh-hant-tw ... are. User:Stevenliuyi find this table. http://1aamoda.ru/ http://www.iana.org/assignments/language-subtag-registry


Version: 1.22.0
Severity: normal

Details

Reference
bz49274

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:57 AM
bzimport set Reference to bz49274.
bzimport added a subscriber: Unknown Object (MLST).

Thanks for taking the time to report this!

Where exactly should this be changed?

stevenliuyi wrote:

I agree to use the more specific tags, because it's clearer for people to see the relation and difference between, say, "zh-hans" and "zh-hans-cn". Currently people are likely to be confused about the relation between "zh-hans" and "zh-cn".

Besides, according to the current BCP 47 (RFC 5646) actually "zh-hans-cn" should be "cmn-hans-cn" or "zh-cmn-hans-cn" since it's only used for Mandarin Chinese, but nonetheless I think we can keep the usual, customary way to use "zh" instead of "cmn".

btw. Changing language codes being used as variant codes is difficult due to various -{zh-cn:XXX;zh-tw:YYY;}- syntax scattered on pages.

It's still unclear to me *where* this can be seen or *where* this should be changed, which makes this report not actionable...
Could somebody enlighten me, please? :)

fanchy, stevenliuyi: could you please answer comment 4?

li3939108 wrote:

(In reply to comment #4)

It's still unclear to me *where* this can be seen or *where* this should be
changed, which makes this report not actionable...
Could somebody enlighten me, please? :)

I think it should be the "user preferences". Other components use these tags because they are in the "user preferences".

LisaMiece updated the task description. (Show Details)Jun 28 2015, 7:49 PM
LisaMiece set Security to None.
RP88 added a subscriber: RP88.Aug 18 2018, 4:29 PM

In [[Special:WantedCategories]] on it.wiki there are some categories with these new names. Does it mean that the "old" categories should be moved to the new ones? (e.g. "Utenti zh-CN" to "Utenti zh-Hans-CN‏‎")

In [[Special:WantedCategories]] on it.wiki there are some categories with these new names. Does it mean that the "old" categories should be moved to the new ones? (e.g. "Utenti zh-CN" to "Utenti zh-Hans-CN‏‎")

This task is about how the MediaWiki software represents the names of interface display languages in user preferences, not about categories.

However, those categories are created by MediaWiki-extensions-Babel user boxes. Yes, you should probably rename your categories.

This task is about how the MediaWiki software represents the names of interface display languages in user preferences, not about categories.

However, those categories are created by MediaWiki-extensions-Babel user boxes. Yes, you should probably rename your categories.

Well, the categories have the names of interface display languages, so I think this is the appropriate task :-) my point is: "MediaWiki-extensions-Babel" creates those categories because those names are correct and official? As we can see, it is not just a problem of it.wiki, so my point was: who decides which names are correct and where?

Jdforrester-WMF closed this task as Resolved.Jun 12 2019, 8:35 PM

Oh, interesting, this got fixed at some point.

who decides which names are correct and where?

The IETF and the UN (via ISO). See https://en.wikipedia.org/wiki/IETF_language_tag

Ok, but on Mediawiki why should we keep many forms, instead of keeping just one? I mean, IETF and UN decide that "zh-hant-tw" is correct and "zh-tw" is not, so Mediawiki modifies the babel accordingly... but it should also change the old forms to new ones, shouldn't it? (not the babel, of course, but wiki editors)

Shizhao moved this task from MediaWiki core to Closed on the Chinese-Sites board.Jun 18 2019, 3:08 AM